/*
 * Custom CSS by ECLIPSE
 * 04-2021
 */

 body {font-family: 'Montserrat', sans-serif;}

 a {
     color: #009fe0;
 }

 .btn-primary, .btn-secondary, .btn-tertiary {
    box-shadow: none;
}

.btn-primary {
    background-color: #009fe0;
}

.btn-primary:hover {
    background-color: #009fe0;
}

.btn-primary:focus,
.btn-primary:active {
    background-color: #009fe0;
    outline: 0;
}

.text-center {
    text-align: center;
}

.form-control {
    background: #f6f6f6;
    border: none;
}

.form-control:focus, .input-group.focus {
    outline: 1px solid #33304b;
    border: none;
}

#main .page-content,
#main .page-header {
    padding-left: 15px;
}

#wrapper {
    background: #fff;
    box-shadow: none;
}

 /*
 * HEADER
 */

 #header .header-nav {
    margin-bottom: 0;;
    border-bottom: 1px solid #dee2e6;
}

 #header .header-nav #_desktop_contact_link #contact-link {
     margin-top: 0;
 }

body:not(#checkout) #header #contact-link a {
    font-size: 14px;
    line-height: 32px;
    color: #fff;
}

 .header-top .row {
    display: flex;
    align-items: center;
 }

 .header-top .row:first-child{
    display: none;
 }

.header-top .right-nav {
    display: flex;
    justify-content: flex-end;
    align-items: center;
}

.header-top #_desktop_user_info,
.header-top #_desktop_cart {
    display: inline-block;
}

.header-top #_desktop_user_info {
    padding-right: 16px;
    border-right: 1px solid #dee2e6;
}

.header-top #_desktop_cart {
    padding-left: 16px;
}

#header .header-nav .mobile {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

#header .header-nav .user-info {
    margin-top: 0;
}

#header .header-nav .blockcart {
    height: auto;
    padding: 0;
}

#header .header-nav .blockcart .header {
    margin-top: 0;
}

.header-nav #_mobile_user_info .user-info a span:first-child,
.header-nav #_mobile_cart .blockcart a span:first-child,
.header-nav #_mobile_cart .blockcart .header span:first-child{
    display: inline-block;
    width: 24px;
    height: 30px;
    background-color: #fff;
    text-align: center;
}

.header-nav #_mobile_user_info .user-info a span:first-child > i,
.header-nav #_mobile_cart .blockcart a span:first-child > i,
.header-nav #_mobile_cart .blockcart .header span:first-child > i {
    font-size: 32px;
    line-height: 30px;
    color: #009fe0;
}

.header-top #_desktop_user_info .user-info a span:last-child,
.header-top #_desktop_cart .blockcart a span:not(:first-child),
.header-top #_desktop_cart .blockcart .header span:not(:first-child){
    font-weight: 600;
    color: #33304b;
}

.header-top #_desktop_user_info .user-info a:hover span:last-child,
.header-nav #_mobile_user_info .user-info a:hover span:last-child
.header-top #_desktop_cart .blockcart a:hover span:not(.cart-products-count){
    color: #009fe0;
}

.header-top #_desktop_cart .blockcart .cart-products-count,
.header-nav #_mobile_cart .blockcart .cart-products-count {
    display: inline-block;
    width: 16px;
    height: 16px; 
    background-color: #33304b;
    border-radius: 50%;
    margin-left: 4px;
    padding-top: 1px;
    text-align: center;
    font-size: 10px;
    line-height: 16px;
    color: #fff !important;
}

#header .header-top .position-static:not(.menu) {
    flex-grow: 1;
}

#header .header-top .menu {
    padding-left: 0;
    margin-bottom: 0;
}

#header .header-top .menu .top-menu {
    margin-bottom: 0;
}

#header .header-top a[data-depth="0"] {
    padding: 18px 20px;
    color: #fff;
}

#header .top-menu a[data-depth="0"]:hover {
    color: #009fe0;
}

#header .header-top .search-widget {
    margin: 8px 0;
}

.search-widget form input[type=text] {
    background-color: #f6f6f6;
    border: none;
}

.search-widget form button[type=submit] {
    top: 0;
    right: 0;
    bottom: 0;
    width: 40px;
    background-color: #009fe0;
    color: #fff;
    cursor: pointer;
}

.search-widget form button[type=submit] .search:hover {
    color: #33304b;
}

.search-widget form input[type=text]:focus {
    outline: 1px solid #33304b;
}

.search-widget form input[type=text]:focus+button .search {
    color: #33304b;
}

.top-menu .sub-menu {
    left: 0;
    z-index: 10000;
    width: 100%;
	border-width: 2px 1px 1px;
	border-color: #009fe0 #eeeeee #eeeeee;
	border-style: solid;
    border-radius: 0;
	margin-left: 0px;
	padding: 20px 20px;
	box-shadow: 0 0 5px -1px rgba(0, 0, 0, 0.1);
	-moz-box-shadow: 0 0 5px -1px rgba(0, 0, 0, 0.1);
	-webkit-box-shadow: 0 0 5px -1px rgba(0, 0, 0, 0.1);
}

#header .top-menu a.dropdown-submenu:hover {
    color: #009fe0;
}

#header .header-nav #menu-icon > span {
    display: inline-block;
    width: 40px;
    height: 40px;
    background-color: #33304b;
    text-align: center;
}

#header .header-nav #menu-icon .material-icons {
    line-height: 40px;
    color:#fff;
}

/*
 * CATEGORY
 */
.card,
.block-categories,
#search_filters, #search_filters_brands, #search_filters_suppliers,
#products .thumbnail-container,
.featured-products .thumbnail-container,
.product-accessories .thumbnail-container,
.product-miniature .thumbnail-container,
.product-cover img,
.product-images>li.thumb-container>.thumb,
.product-variants>.product-variants-item select,
.bootstrap-touchspin,
.pagination .page-list {
    box-shadow: none;
}

#wrapper .breadcrumb {
    padding: 0 15px;
}

.brands-sort .select-title, .products-sort-order .select-title, .suppliers-sort .select-title {
    background: #f6f6f6;
    border: none;
    box-shadow: none;
}

.category-top-menu > li:first-child {
    background-color: #f6f6f6;
    padding: 12px;
}
.block-categories {
    padding-right: 0;
    padding-left: 0;
}

.block-categories .category-sub-menu li[data-depth="0"] > a {
    border-bottom: none;
    padding-left: 12px;
}

#search_filters {
    padding-right: 0;
    padding-left: 0;
}

#search_filters > .h6 {
    background-color: #f6f6f6;
    padding: 12px;
}

#search_filters .facet, #search_filters_brands .facet, #search_filters_suppliers .facet {
    padding-left: 12px;
}

#products .highlighted-informations,
.featured-products .highlighted-informations,
.product-accessories .highlighted-informations,
.product-miniature .highlighted-informations {
    box-shadow: none;
}

/*
 * PRODUCTS
 */


.product-images > li.thumb-container > .thumb.selected,
.product-images > li.thumb-container > .thumb:hover {
    border-color: #009fe0;
}

.has-discount .page-content.page-cms ul,
.has-discount.product-price,
.has-discount p,
.page-content.page-cms .has-discount ul,
.product-price {
    color: #009fe0;
}

.has-discount p {
    font-size: 1.5rem;
}

.has-discount .discount {
    background-color: #33304b;
}

.social-sharing li {
    box-shadow: none;
}

.tabs {
    box-shadow: none;
}

.tabs .nav-tabs .nav-link.active, .tabs .nav-tabs .nav-link:hover {
    border-color: #009fe0;
}

.tabs .nav-tabs .nav-link.active {
    color: #009fe0;
}

/*
 * CHECKOUT
 */

body#checkout a:hover {
    color: #009fe0;
}

body#checkout section.checkout-step,
body#checkout section.checkout-step:last-child {
    box-shadow: none;
    border: 1px solid #dee2e6;
    border-top: none;
}

body#checkout section.checkout-step:first-child {
    border-top: 1px solid #dee2e6;
}

.custom-radio input[type=radio]:checked+span {
    background-color: #009fe0;
}

.input-group .input-group-btn > .btn[data-action=show-password] {
    padding: .625rem 1rem;
}

body#checkout section.checkout-step .forgot-password {
    margin-left: 0;
    text-align: right;
}

.forgotten-password .form-fields label.required {
    width: 150px;
    text-align: left;
}

#blockcart-modal .modal-header {
    background: #4cbb6c;
}

#blockcart-modal .modal-title i.material-icons {
    margin-right: 4px;
    color: #fff;
}

#blockcart-modal .modal-title {
    color: #fff;
    font-size: 14px;
}

#blockcart-modal .modal-header .close .material-icons {
    color: #fff;
}

#blockcart-modal .product-name {
    color: #009fe0;
}

#blockcart-modal .cart-content .btn {
    padding: .5rem 1rem;
}

body#checkout #footer {
    background-color: #33304b;
    box-shadow: none;
}

/*
 * ACCOUNT
 */

.page-addresses .address,
.page-authentication #content,
.page-customer-account #content,
.page-my-account #content .links a span.link-item {
    box-shadow: none;
    border: 1px solid #dee2e6;
}


/*
 * FOOTER
 */

 #footer {
    background-color: #33304b;
}

 .footer-container {
    box-shadow: none;
 }

 .footer-container .h3,
 .footer-container .h4,
 .footer-container span,
 .footer-container .cms-page-link,
 .footer-container li a,
 .footer-container .dropdown,
 .footer-container i.add,
 .footer-container i.remove,
 .footer-container ._blank {
     color: #fff;
 }

 .footer-container .dropdown {
     font-size: 14px;
 }

 .footer-container ._blank {
     font-weight: 200;
 }

 .footer-container li a:hover {
     color: #009fe0;
 }

 #block_myaccount_infos .myaccount-title a {
     color: #fff;
 }

 .block_newsletter {
     background: transparent;
     margin-bottom: 0;
 }

 .block_newsletter p {
     color: #fff;
 }

 .block_newsletter form input[type=email] {
     border: none;
 }

 .block_newsletter form input[type=email]:focus {
     border-color: #009fe0;
 }

 @media(max-width: 767px) {

    #header .header-top {
        background: #fff;
        padding-bottom: 8px;
        border-bottom: 1px solid #dee2e6;
    }

    #header .header-nav {
        padding: 16px 0;
    }

    body:not(#checkout) #header .header-nav .top-logo {
        position: absolute;
        left: 50%;
        transform: translateX(-50%);
        padding-top: 0;
    }

    #header .header-nav .top-logo > h1 {
        margin-bottom: 0;
    }

    body:not(#checkout) #header .header-nav .user-info {
        margin-left: 200px;
    }

    #header .header-nav .blockcart.active {
        background: transparent;
        height: auto;
        margin-right: 16px;
        padding: 0;
    }

    .header-top .search-widget form input[type=text] {
        background: #f6f6f6;
    }

    #header .header-top #mobile_top_menu_wrapper {
        align-items: unset;
        flex-direction: column;
        background-color: #33304b;
        margin-top: 8px;
        padding: 0;
    }

    #header .header-top #mobile_top_menu_wrapper > div {
        flex-grow: 1;
    }

    #header .header-top #mobile_top_menu_wrapper #top-menu {
        margin-bottom: 0;
    }

    #header .header-top #mobile_top_menu_wrapper .js-top-menu-bottom {
        display: none;
    }

    .product-line-grid-left img {
        margin-bottom: 16px;
    }

    #header .header-nav .mobile {
        position: relative;
        padding-top: 8px;
    }

    #header .header-nav .user-info .logged {
        color: #009fe0;
        font-size: 32px;
        line-height: 1;
    }

    body#checkout #header .header-nav .logo {
        max-height: 50px;
    }

    body#checkout section.checkout-step .step-title,
    body#checkout section.checkout-step.-current .step-title {
        font-size: 16px;
    }

    .nav-inline .nav-item+.nav-item, .nav-inline .nav-link+.nav-link {
        margin-left: 0;
    }

    .nav-item .nav-link, .nav-item .nav-separtor {
        font-size: 14px;
    }

    .footer-container {
        padding-top: 0;
    }
 }

 @media(min-width: 768px) {

    #wrapper .container {
        padding-right: 0;
        padding-left: 0;
    }
    
    body:not(#checkout) #header .header-nav {
        background-color: #33304b;
        border-bottom: none;
    }

    .header-top .row:first-child{
        display: flex;
        padding: 24px 0;
     }

    .header-top #_desktop_user_info .user-info a,
    .header-top #_desktop_cart .blockcart a,
    .header-top #_desktop_cart .blockcart .header {
        display: flex;
        align-items: center;
    }

    .header-top #_desktop_user_info .user-info a {
        color: #009fe0;
    }

    .header-top #_desktop_user_info .user-info a:hover,
    .header-top #_desktop_cart .blockcart a:hover span:nth-child(2) {
        color: #009fe0;
    }

    .header-top #_desktop_user_info .user-info a span:first-child,
    .header-top #_desktop_cart .blockcart a span:first-child,
    .header-top #_desktop_cart .blockcart span:first-child{
        display: inline-block;
        width: 40px;
        height: 40px;
        background-color: #fff;
        text-align: center;
    }

    .header-top #_desktop_user_info .user-info a span:first-child > i,
    .header-top #_desktop_cart .blockcart a span:first-child > i,
    .header-top #_desktop_cart .blockcart span:first-child > i{
        font-size: 24px;
        line-height: 40px;
        color: #009fe0;
    }

    #header .header-top .position-static:not(.menu) {
        border-top: 1px solid #dee2e6;
        border-bottom: 1px solid #dee2e6;
    }

    .search-widget {
        min-width: 20rem;
    }

    #header .header-top a[data-depth="0"] {
        padding: 18px 20px;
        color: #33304b;
    }

    #blockcart-modal .modal-title {
        font-size: 16px;
    }

    .footer-container {
        border-top: 1px solid rgba(255, 255, 255, 0.15);
    }
 }

